View Issue Details

IDProjectCategoryView StatusLast Update
0000009Pgpool-IIBugpublic2012-11-26 15:58
ReporterharukatAssigned Tot-ishii 
PriorityhighSeverityblockReproducibilitysometimes
Status resolvedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000009: dont call syslog(3) family in signal handler.
DescriptionDont call syslog(3) family in signal handler.
it causes process deadlock.

/* signal handler for SIGALRM */
static RETSIGTYPE authentication_timeout(int sig)
{
    pool_log("authentication is timeout");
    child_exit(1);
}

# gstack 12345
#0 0x000000303b2f508e in __lll_lock_wait_private () from /lib64/libc.so.6
0000001 0x000000303b2e22a8 in _L_lock_798 () from /lib64/libc.so.6
0000002 0x000000303b2e1d72 in __vsyslog_chk () from /lib64/libc.so.6
0000003 0x000000000041232c in pool_log ()
0000004 0x0000000000408b20 in authentication_timeout ()
0000005 <signal handler called>
0000006 0x000000303b2e6812 in send () from /lib64/libc.so.6
0000007 0x000000303b2e1e80 in __vsyslog_chk () from /lib64/libc.so.6
0000008 0x000000000041232c in pool_log ()
0000009 0x0000000000409872 in do_accept ()
0000010 0x0000000000409b5b in do_child ()
0000011 0x0000000000404085 in fork_a_child ()
0000012 0x00000000004059bc in reaper ()
0000013 0x00000000004073c3 in main ()
Additional Informationpgpool-II 3.1.2
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2012-03-27 18:23 harukat New Issue
2012-03-31 18:59 t-ishii Note Added: 0000022
2012-03-31 18:59 t-ishii Status new => resolved
2012-03-31 18:59 t-ishii Additional Information Updated View Revisions
2012-11-26 15:58 t-ishii Assigned To => t-ishii
2012-11-26 15:58 t-ishii Status resolved => feedback
2012-11-26 15:58 t-ishii Resolution open => reopened
2012-11-26 15:58 t-ishii Status feedback => resolved